Localizer (Tomcat API Documentation)
Keywords: org.apache.jasper.compiler.Localizer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Localizer

    java.lang.Object
      org.apache.jasper.compiler.Localizer

    public class Localizer

extends java.lang.Object

Class responsible for converting error codes to corresponding localized error messages.

Author:
  Jan Luehe

Constructor Summary
`Localizer()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String errCode)`
`static java.lang.String` | `getMessage(java.lang.String errCode, java.lang.Object[] args)`
`static java.lang.String` | `getMessage(java.lang.String errCode, java.lang.String arg)`
`static java.lang.String` | `getMessage(java.lang.String errCode, java.lang.String arg1, java.lang.String arg2)`
`static java.lang.String` | `getMessage(java.lang.String errCode, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)`
`static java.lang.String` | `getMessage(java.lang.String errCode, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Localizer

    public Localizer()

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String errCode)

### getMessage

    public static java.lang.String getMessage(java.lang.String errCode,
                                              java.lang.String arg)

### getMessage

    public static java.lang.String getMessage(java.lang.String errCode,
                                              java.lang.String arg1,
                                              java.lang.String arg2)

### getMessage

    public static java.lang.String getMessage(java.lang.String errCode,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3)

### getMessage

    public static java.lang.String getMessage(java.lang.String errCode,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3,
                                              java.lang.String arg4)

### getMessage

    public static java.lang.String getMessage(java.lang.String errCode,
                                              java.lang.Object[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.